Debian Bug report logs - #427104
still apears to be broken with d-i

version graph

Package: uswsusp; Maintainer for uswsusp is Rodolfo García Peñas (kix) <kix@debian.org>; Source for uswsusp is src:uswsusp.

Reported by: Joey Hess <joeyh@debian.org>

Date: Fri, 1 Jun 2007 21:57:02 UTC

Severity: normal

Tags: d-i

Found in version uswsusp/0.3~cvs20060928-7

Fixed in version uswsusp/0.3~cvs20060928-7etch1

Done: Tim Dijkstra <tim@famdijkstra.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
New Bug report received and forwarded. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: still apears to be broken with d-i
Date: Fri, 1 Jun 2007 17:54:18 -0400
[Message part 1 (text/plain, inline)]
Package: uswsusp
Version: 0.3~cvs20060928-7
Severity: normal
Tags: d-i

In my tests installing the laptop task in lenny, uswsusp still prompts
with uswsusp/continue_without_swap.

I've looked at this some. It seems that the first time the config script
runs, all is ok. uswsusp/resume_device is not set, and
/etc/initramfs-tools/conf.d/resume exists and gets parsed and the d-i
hack used.

The problem occurs the second time the config script runs. Remember, the
config script typically runs once during preconfiguration, and a second
time when the package is actually installed. On this second run,
uswsusp/resume_device is set (the config script set it the first time it
ran). So the whole code block that checks
/etc/initramfs-tools/conf.d/resume doesn't run.

I belive that this also effects etch d-i -- can't see why etch would be
different -- but have not checked. I've also not tested with uswsusp
0.6, but the code looks similar enough to behave the same.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages uswsusp depends on:
ii  cdebconf [debconf-2.0]  0.116            Debian Configuration Management Sy
ii  debconf [debconf-2.0]   1.5.13           Debian configuration management sy
ii  libc6                   2.5-9            GNU C Library: Shared libraries
ii  libgcc1                 1:4.2-20070525-1 GCC support library
ii  libgcrypt11             1.2.4-2          LGPL Crypto library - runtime libr
ii  libsplashy1             0.3.3            Library to draw splash screen on b
ii  libx86-1                0.99-1.2         x86 real-mode library
ii  zlib1g                  1:1.2.3-15       compression library - runtime

Versions of packages uswsusp recommends:
ii  initramfs-tools               0.88       tools for generating an initramfs
ii  mount                         2.12r-19   Tools for mounting and manipulatin

-- debconf information excluded

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Tim Dijkstra <tim@famdijkstra.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #10 received at 427104@bugs.debian.org (full text, mbox):

From: Tim Dijkstra <tim@famdijkstra.org>
To: Joey Hess <joeyh@debian.org>, 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Sun, 3 Jun 2007 20:48:39 +0200
On Fri, 1 Jun 2007 17:54:18 -0400
Joey Hess <joeyh@debian.org> wrote:

> In my tests installing the laptop task in lenny, uswsusp still prompts
> with uswsusp/continue_without_swap.
> 
> I've looked at this some. It seems that the first time the config script
> runs, all is ok. uswsusp/resume_device is not set, and
> /etc/initramfs-tools/conf.d/resume exists and gets parsed and the d-i
> hack used.
> 
> The problem occurs the second time the config script runs. Remember, the
> config script typically runs once during preconfiguration, and a second
> time when the package is actually installed.

I hadn't remembered... Also during my test it didn't show up. I tested
it by going to a shell in the installer and installing the package by
hand. In such a situation it doesn't get pre-configured, I guess.

I don't know a way out at the moment. I seems we're back at trying to
figure out if we're run under d-i or not. I could write to some state
variable the first configuration run, and then clean this var when we
have run postinst. But this is becoming more and more ugly...

I'm tempted to wait until d-i finally dumps the devfs style naming. And
I don't think that a change that tries to fix this will be allowed into
an update for etch, do you?

grts Tim




Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. Full text and rfc822 format available.

Message #15 received at 427104@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Tim Dijkstra <tim@famdijkstra.org>
Cc: 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Mon, 4 Jun 2007 14:08:48 -0400
[Message part 1 (text/plain, inline)]
Tim Dijkstra wrote:
> I'm tempted to wait until d-i finally dumps the devfs style naming. And
> I don't think that a change that tries to fix this will be allowed into
> an update for etch, do you?

Removing devfs device names from d-i is a long-term goal, not a matter
of flipping a switch. There remains an unknown amount of work to reach
that goal. In the meantime, the laptop task is broken, and something has
to be done about this. That's how I see it.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Tim Dijkstra <tim@famdijkstra.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #20 received at 427104@bugs.debian.org (full text, mbox):

From: Tim Dijkstra <tim@famdijkstra.org>
To: Joey Hess <joeyh@debian.org>, 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Thu, 7 Jun 2007 22:29:04 +0200
[Message part 1 (text/plain, inline)]
On Mon, 4 Jun 2007 14:08:48 -0400
Joey Hess <joeyh@debian.org> wrote:

> Tim Dijkstra wrote:
> > I'm tempted to wait until d-i finally dumps the devfs style naming. And
> > I don't think that a change that tries to fix this will be allowed into
> > an update for etch, do you?
> 
> Removing devfs device names from d-i is a long-term goal, not a matter
> of flipping a switch. There remains an unknown amount of work to reach
> that goal. In the meantime, the laptop task is broken, and something has
> to be done about this. That's how I see it.

OK.

What is a way to trigger this bug. When is a package pre-configured? If
there are more than one packages in the install run? I couldn't find
anything about it in policy.

grts Tim
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. Full text and rfc822 format available.

Message #25 received at 427104@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Tim Dijkstra <tim@famdijkstra.org>
Cc: 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Thu, 7 Jun 2007 18:46:24 -0400
[Message part 1 (text/plain, inline)]
Tim Dijkstra wrote:
> What is a way to trigger this bug. When is a package pre-configured? If
> there are more than one packages in the install run? I couldn't find
> anything about it in policy.

A package is always preconfigured before it's installed by apt. Or you
can manually do it by running dpkg-preconfigure on the deb before you
dpkg -i it.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. Full text and rfc822 format available.

Message #30 received at 427104@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Tim Dijkstra <tim@famdijkstra.org>
Cc: Joey Hess <joeyh@debian.org>, 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Thu, 6 Sep 2007 14:55:14 +0200
[Message part 1 (text/plain, inline)]
Hi!

I am coming back with this issue, as I recently had more feedbacks
about it...

On Mon, Jun 04, 2007 at 02:08:48PM -0400, Joey Hess wrote:
> Tim Dijkstra wrote:
> > I'm tempted to wait until d-i finally dumps the devfs style naming. And
> > I don't think that a change that tries to fix this will be allowed into
> > an update for etch, do you?
> 
> Removing devfs device names from d-i is a long-term goal, not a matter
> of flipping a switch. There remains an unknown amount of work to reach
> that goal. In the meantime, the laptop task is broken, and something has
> to be done about this. That's how I see it.

The good news is: d-i finally got rid of devfs-style device names in its
development builds.  Joey, can you confirm that the bug is now gone for
with the daily built images?

The less good news: I'd like to get a fix for this in the next Etch
point release, as the error message, even harmless, is really confusing
less experienced users.  Tim, would you be inclined to work on an update
for version 0.3~cvs20060928-7 with me?

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Tim Dijkstra <tim@famdijkstra.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #35 received at 427104@bugs.debian.org (full text, mbox):

From: Tim Dijkstra <tim@famdijkstra.org>
To: Jérémy Bobbio <lunar@debian.org>
Cc: Joey Hess <joeyh@debian.org>, 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Fri, 7 Sep 2007 10:45:42 +0200
[Message part 1 (text/plain, inline)]
On Thu, 6 Sep 2007 14:55:14 +0200
Jérémy Bobbio <lunar@debian.org> wrote:

> Hi!
> 
> I am coming back with this issue, as I recently had more feedbacks
> about it...
> 
> On Mon, Jun 04, 2007 at 02:08:48PM -0400, Joey Hess wrote:
> > Tim Dijkstra wrote:
> > > I'm tempted to wait until d-i finally dumps the devfs style naming. And
> > > I don't think that a change that tries to fix this will be allowed into
> > > an update for etch, do you?
> > 
> > Removing devfs device names from d-i is a long-term goal, not a matter
> > of flipping a switch. There remains an unknown amount of work to reach
> > that goal. In the meantime, the laptop task is broken, and something has
> > to be done about this. That's how I see it.
> 
> The good news is: d-i finally got rid of devfs-style device names in its
> development builds.  Joey, can you confirm that the bug is now gone for
> with the daily built images?
> 
> The less good news: I'd like to get a fix for this in the next Etch
> point release, as the error message, even harmless, is really confusing
> less experienced users.  Tim, would you be inclined to work on an update
> for version 0.3~cvs20060928-7 with me?

I was a bit low on debian time lately. But I was planning to package
the new release of uswsusp, so maybe we can have another shot at this.
But before we do, I would want to have some reassurance that the
peorple who manage stable updates find this problematic enough to
warrant an update.

grts Tim
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. Full text and rfc822 format available.

Message #40 received at 427104@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Jérémy Bobbio <lunar@debian.org>
Cc: Tim Dijkstra <tim@famdijkstra.org>, 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Tue, 11 Sep 2007 14:40:42 -0400
[Message part 1 (text/plain, inline)]
Jérémy Bobbio wrote:
> The good news is: d-i finally got rid of devfs-style device names in its
> development builds.  Joey, can you confirm that the bug is now gone for
> with the daily built images?

Yes, just tested and /proc/swaps uses standard names and so the message
doesn't appear.

Tim Dijkstra wrote:
> I was a bit low on debian time lately. But I was planning to package
> the new release of uswsusp, so maybe we can have another shot at this.
> But before we do, I would want to have some reassurance that the
> peorple who manage stable updates find this problematic enough to
> warrant an update.

I'm not sure what a new upstream release has to do with an update of the
version in stable?

BTW, you'd be suprised how many times I see this bug confusing users. To many
users, it looks like the installer is warning that there is no swap set up.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Tim Dijkstra <tim@famdijkstra.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #45 received at 427104@bugs.debian.org (full text, mbox):

From: Tim Dijkstra <tim@famdijkstra.org>
To: Joey Hess <joeyh@debian.org>
Cc: Jérémy Bobbio <lunar@debian.org>, 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Tue, 11 Sep 2007 20:54:05 +0200
[Message part 1 (text/plain, inline)]
On Tue, 11 Sep 2007 14:40:42 -0400
Joey Hess <joeyh@debian.org> wrote:

> Jérémy Bobbio wrote:
> > The good news is: d-i finally got rid of devfs-style device names in its
> > development builds.  Joey, can you confirm that the bug is now gone for
> > with the daily built images?
> 
> Yes, just tested and /proc/swaps uses standard names and so the message
> doesn't appear.

That is nice.

> Tim Dijkstra wrote:
> > I was a bit low on debian time lately. But I was planning to package
> > the new release of uswsusp, so maybe we can have another shot at this.
> > But before we do, I would want to have some reassurance that the
> > peorple who manage stable updates find this problematic enough to
> > warrant an update.
> 
> I'm not sure what a new upstream release has to do with an update of the
> version in stable?

Nothing, it was bad wording. I meant to say that I was going to do some
work on this package anyway, so that would be a good time to also have
another look at this bug.

> BTW, you'd be suprised how many times I see this bug confusing users. To many
> users, it looks like the installer is warning that there is no swap set up.

Yes, I understand. As you can read from the bug log, before the release
I thought I fixed it. But as it turned out the only convenient way of
testing the old device name problem was not really testing the same
code path.

Anyway, my last question remains. Joey, you probably have most
experience with stable point releases: Do you think a fix for this will
make it to a etch point release? Otherwise there is not much use of
fixing this.

I could also go ask debian-release@ ...

grts Tim
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. Full text and rfc822 format available.

Message #50 received at 427104@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: Tim Dijkstra <tim@famdijkstra.org>
Cc: Jérémy Bobbio <lunar@debian.org>, 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Tue, 11 Sep 2007 15:57:47 -0400
[Message part 1 (text/plain, inline)]
Tim Dijkstra wrote:
> Anyway, my last question remains. Joey, you probably have most
> experience with stable point releases: Do you think a fix for this will
> make it to a etch point release? Otherwise there is not much use of
> fixing this.
> 
> I could also go ask debian-release@ ...

I think it might come down to what sort of patch it takes to fix it, and
how comfortable the RMs are with said patch. It's sort of on the edge
between a cosmetic problem and a serious bug, so the best way to make
sure it's accepted will be to have a good and clear patch.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. Full text and rfc822 format available.

Message #55 received at 427104@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: Tim Dijkstra <tim@famdijkstra.org>
Cc: Joey Hess <joeyh@debian.org>, 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Wed, 12 Sep 2007 11:17:48 +0200
[Message part 1 (text/plain, inline)]
On Tue, Sep 11, 2007 at 03:57:47PM -0400, Joey Hess wrote:
> Tim Dijkstra wrote:
> > Anyway, my last question remains. Joey, you probably have most
> > experience with stable point releases: Do you think a fix for this will
> > make it to a etch point release? Otherwise there is not much use of
> > fixing this.
> > 
> > I could also go ask debian-release@ ...
> 
> I think it might come down to what sort of patch it takes to fix it, and
> how comfortable the RMs are with said patch. It's sort of on the edge
> between a cosmetic problem and a serious bug, so the best way to make
> sure it's accepted will be to have a good and clear patch.

After Joey's analysis of why the current workaround fails, I did a few
test runs and came up with the attached patch.  It is indeed not nice,
but it seems to work ok...

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[uswsusp_0.3~cvs20060928-7_fix_d-i_hack.diff (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Tim Dijkstra <tim@famdijkstra.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #60 received at 427104@bugs.debian.org (full text, mbox):

From: Tim Dijkstra <tim@famdijkstra.org>
To: debian-release@lists.debian.org
Cc: Jérémy Bobbio <lunar@debian.org>, 427104@bugs.debian.org, Joey Hess <joeyh@debian.org>, 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Wed, 12 Sep 2007 22:32:11 +0200
[Message part 1 (text/plain, inline)]
Hi Stable-RMs,

This is an e-mail to ask if the patch below would be acceptable for a
point release. If so I believe I have to upload to
stable-proposed-updates, right?

This is about bug 427104, a summary of the bug: 
D-I in etch uses devfs-style naming for devices. This means that
discovering the swap-device and writing it to a file will result in
having the wrong file name. Luckily the installer writes a file with a
`correct' device filename.

This was discovered quite close to the release. I thought I fixed the
issue with an upload during the freeze. That fix just uses the device
file name from the file the installer wrote and disables a check for
the existence of the swap-file for one pass.

Unfortunately the tests I performed (installing the fixed package with
dpkg -i) didn't capture the normal use case. If the install goes
through apt the package will be pre-configured, which means that the
package gets configured twice. The second run the normal check is on 
again, which results in a confusing message to the user. 

In other words: everybody who installs the laptop task gets a useless
and confusing question. In joeys words:

> ... the laptop task is broken, and something has to be done about this. 

> It's sort of on the edge between a cosmetic problem and a serious bug, 
> so the best way to make sure it's accepted will be to have a good and 
> clear patch.

The patch below will set a flag on a debconf question to signal we disabled 
the check in d-i and we should not ask the question. In posinst the flag is
cleared so that in the further life of the package the test will be done.

Index: uswsusp.config
===================================================================
--- uswsusp.config      (revision 490)
+++ uswsusp.config      (working copy)
@@ -85,8 +85,11 @@
     # found to the list of valid swaps without checking. This is because
     # what is in /proc/swaps uses devfs style naming...
     if [ -n "$USERSWAP" ] && ! echo "$SWAPLIST" | grep -q -e '\(^\|, \)'$USERSWAP'\(,\|$\)'; then
-       SWAPLIST=${SWAPLIST}${KOMMA}${USERSWAP}
-       SWAPDEFAULT=${USERSWAP}
+       # We do that by making sure we skip the continue_without_swap question.
+       # We'll clear this in postinst.
+       db_set uswsusp/continue_without_swap true
+       db_fset uswsusp/continue_without_swap seen true
+       db_fset uswsusp/continue_without_swap d_i true
     fi
 fi
 
@@ -98,6 +101,8 @@
        SWAPLIST=${SWAPLIST}${KOMMA}${USERSWAP} ;
        SWAPDEFAULT=${USERSWAP}
     fi
+elif [ -n "$USERSWAP" ]; then
+    SWAPDEFAULT=${USERSWAP}
 fi
 
 # We had to move this untill after the config file parsing, because
Index: uswsusp.postinst
===================================================================
--- uswsusp.postinst    (revision 490)
+++ uswsusp.postinst    (working copy)
@@ -24,6 +24,15 @@
        [ "$RET" = "false" ] || exit 0;
        db_fget uswsusp/no_snapshot seen
        [ "$RET" = "false" ] || exit 0;
+
+       # If we've set this under d-i to skip the sanity checks, reset it
+       db_fget uswsusp/continue_without_swap d_i
+       if [ "$RET" = "true" ]; then
+           db_fset uswsusp/continue_without_swap seen false
+           db_fset uswsusp/continue_without_swap d_i false
+           db_reset uswsusp/continue_without_swap
+       fi
+
        # If we don't have /proc or /sys we can't work, this will probably
        # be a chroot or so.
        mountpoint -q /sys || exit 0;
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Jérémy Bobbio <lunar@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. Full text and rfc822 format available.

Message #65 received at 427104@bugs.debian.org (full text, mbox):

From: Jérémy Bobbio <lunar@debian.org>
To: debian-release@lists.debian.org
Cc: Tim Dijkstra <tim@famdijkstra.org>, Joey Hess <joeyh@debian.org>, 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Thu, 13 Sep 2007 12:06:13 +0200
[Message part 1 (text/plain, inline)]
On Wed, Sep 12, 2007 at 10:32:11PM +0200, Tim Dijkstra wrote:
> In other words: everybody who installs the laptop task gets a useless
> and confusing question. In joeys words:
> 
> > ... the laptop task is broken, and something has to be done about this. 
> 
> > It's sort of on the edge between a cosmetic problem and a serious bug, 
> > so the best way to make sure it's accepted will be to have a good and 
> > clear patch.
> 
> The patch below will set a flag on a debconf question to signal we disabled 
> the check in d-i and we should not ask the question. In posinst the flag is
> cleared so that in the further life of the package the test will be done.
> [...]

I confirm that this patch fixes the problem and would be a good addition
to the next point release: I really have seen quite a lot of users being
confused by the warning (thus the recent addition of this issue to the
errata list).

Cheers,
-- 
Jérémy Bobbio                        .''`. 
lunar@debian.org                    : :Ⓐ  :  # apt-get install anarchism
                                    `. `'` 
                                      `-   
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. Full text and rfc822 format available.

Message #70 received at 427104@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: debian-release@lists.debian.org
Cc: Tim Dijkstra <tim@famdijkstra.org>, Joey Hess <joeyh@debian.org>, 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Thu, 13 Sep 2007 09:25:27 -0300
Jérémy Bobbio <lunar@debian.org> writes:

> On Wed, Sep 12, 2007 at 10:32:11PM +0200, Tim Dijkstra wrote:
>> In other words: everybody who installs the laptop task gets a useless
>> and confusing question. In joeys words:
>> 
>> > ... the laptop task is broken, and something has to be done about this. 
>> 
>> > It's sort of on the edge between a cosmetic problem and a serious bug, 
>> > so the best way to make sure it's accepted will be to have a good and 
>> > clear patch.
>> 
>> The patch below will set a flag on a debconf question to signal we disabled 
>> the check in d-i and we should not ask the question. In posinst the flag is
>> cleared so that in the further life of the package the test will be done.
>> [...]
>
> I confirm that this patch fixes the problem and would be a good addition
> to the next point release: I really have seen quite a lot of users being
> confused by the warning (thus the recent addition of this issue to the
> errata list).

Besides, this is the most simple solution possible since the another
one would be to write a conversor for devfs device names in shell and
it would be much more error prone.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Martin Zobel-Helas <zobel@ftbfs.de>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. Full text and rfc822 format available.

Message #75 received at 427104@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <zobel@ftbfs.de>
To: Otavio Salvador <otavio@debian.org>
Cc: debian-release@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>, Joey Hess <joeyh@debian.org>, 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Thu, 13 Sep 2007 14:37:39 +0200
Hi, 

On Thu Sep 13, 2007 at 09:25:27 -0300, Otavio Salvador wrote:
> Jérémy Bobbio <lunar@debian.org> writes:
> 
> > On Wed, Sep 12, 2007 at 10:32:11PM +0200, Tim Dijkstra wrote:
> >> In other words: everybody who installs the laptop task gets a useless
> >> and confusing question. In joeys words:
> >> 
> >> > ... the laptop task is broken, and something has to be done about this. 
> >> 
> >> > It's sort of on the edge between a cosmetic problem and a serious bug, 
> >> > so the best way to make sure it's accepted will be to have a good and 
> >> > clear patch.
> >> 
> >> The patch below will set a flag on a debconf question to signal we disabled 
> >> the check in d-i and we should not ask the question. In posinst the flag is
> >> cleared so that in the further life of the package the test will be done.
> >> [...]
> >
> > I confirm that this patch fixes the problem and would be a good addition
> > to the next point release: I really have seen quite a lot of users being
> > confused by the warning (thus the recent addition of this issue to the
> > errata list).
> 
> Besides, this is the most simple solution possible since the another
> one would be to write a conversor for devfs device names in shell and
> it would be much more error prone.

My plan is to release 4.0r2 in calender week 41 or 42 of the christian
calendar. If you can make sure everything is done by that date, go
ahead.

Luk, Julien, any complains about that?

Greetings
Martin

-- 
[root@debian /root]# man real-life
No manual entry for real-life





Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. Full text and rfc822 format available.

Message #80 received at 427104@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
Cc: debian-release@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>, Joey Hess <joeyh@debian.org>, 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Thu, 13 Sep 2007 14:49:31 +0200
Martin Zobel-Helas wrote:
> On Thu Sep 13, 2007 at 09:25:27 -0300, Otavio Salvador wrote:
>> Jérémy Bobbio <lunar@debian.org> writes:
>>> On Wed, Sep 12, 2007 at 10:32:11PM +0200, Tim Dijkstra wrote:

>>> I confirm that this patch fixes the problem and would be a good addition
>>> to the next point release: I really have seen quite a lot of users being
>>> confused by the warning (thus the recent addition of this issue to the
>>> errata list).
>> Besides, this is the most simple solution possible since the another
>> one would be to write a conversor for devfs device names in shell and
>> it would be much more error prone.
> 
> My plan is to release 4.0r2 in calender week 41 or 42 of the christian
> calendar. If you can make sure everything is done by that date, go
> ahead.
> 
> Luk, Julien, any complains about that?

No complains :-)

Cheers

Luk




Information forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#427104; Package uswsusp. Full text and rfc822 format available.

Acknowledgement sent to Otavio Salvador <otavio@debian.org>:
Extra info received and forwarded to list. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. Full text and rfc822 format available.

Message #85 received at 427104@bugs.debian.org (full text, mbox):

From: Otavio Salvador <otavio@debian.org>
To: Martin Zobel-Helas <zobel@ftbfs.de>
Cc: debian-release@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>, Joey Hess <joeyh@debian.org>, 427104@bugs.debian.org
Subject: Re: Bug#427104: still apears to be broken with d-i
Date: Thu, 13 Sep 2007 12:31:23 -0300
Martin Zobel-Helas <zobel@ftbfs.de> writes:

>> Besides, this is the most simple solution possible since the another
>> one would be to write a conversor for devfs device names in shell and
>> it would be much more error prone.
>
> My plan is to release 4.0r2 in calender week 41 or 42 of the christian
> calendar. If you can make sure everything is done by that date, go
> ahead.
>
> Luk, Julien, any complains about that?

I think the current solution is the most safe. If we write that amount
of code and do not get testing I wouldn't feel confortable to put it
on stable. This code isn't necessary at lenny since d-i do not use
devfs anymore.

I cited the other possible solution just to demonstrate that current
available patch is the safest way to go.

-- 
        O T A V I O    S A L V A D O R
---------------------------------------------
 E-mail: otavio@debian.org      UIN: 5906116
 GNU/Linux User: 239058     GPG ID: 49A5F855
 Home Page: http://otavio.ossystems.com.br
---------------------------------------------
"Microsoft sells you Windows ... Linux gives
 you the whole house."




Tags added: pending Request was from Tim Dijkstra <tim@famdijkstra.org> to control@bugs.debian.org. (Fri, 14 Sep 2007 21:09:01 GMT) Full text and rfc822 format available.

Reply sent to Tim Dijkstra <tim@famdijkstra.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joey Hess <joeyh@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #92 received at 427104-close@bugs.debian.org (full text, mbox):

From: Tim Dijkstra <tim@famdijkstra.org>
To: 427104-close@bugs.debian.org
Subject: Bug#427104: fixed in uswsusp 0.3~cvs20060928-7etch1
Date: Mon, 17 Sep 2007 19:56:17 +0000
Source: uswsusp
Source-Version: 0.3~cvs20060928-7etch1

We believe that the bug you reported is fixed in the latest version of
uswsusp, which is due to be installed in the Debian FTP archive:

uswsusp_0.3~cvs20060928-7etch1.diff.gz
  to pool/main/u/uswsusp/uswsusp_0.3~cvs20060928-7etch1.diff.gz
uswsusp_0.3~cvs20060928-7etch1.dsc
  to pool/main/u/uswsusp/uswsusp_0.3~cvs20060928-7etch1.dsc
uswsusp_0.3~cvs20060928-7etch1_amd64.deb
  to pool/main/u/uswsusp/uswsusp_0.3~cvs20060928-7etch1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 427104@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tim Dijkstra <tim@famdijkstra.org> (supplier of updated uswsusp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 14 Sep 2007 20:28:54 +0200
Source: uswsusp
Binary: uswsusp
Architecture: source amd64
Version: 0.3~cvs20060928-7etch1
Distribution: stable
Urgency: low
Maintainer: Tim Dijkstra <tim@famdijkstra.org>
Changed-By: Tim Dijkstra <tim@famdijkstra.org>
Description: 
 uswsusp    - tools to use userspace software suspend provided by Linux
Closes: 427104
Changes: 
 uswsusp (0.3~cvs20060928-7etch1) stable; urgency=low
 .
   * Fix work around from last upload to not ask useless question
     (closes: #427104)
   * Fix spelling error in nl.po.
Files: 
 37588d1099028dd4230abc4a1a739719 670 admin optional uswsusp_0.3~cvs20060928-7etch1.dsc
 99a918ec82ba49400aa3bb1f57a525e0 55612 admin optional uswsusp_0.3~cvs20060928-7etch1.diff.gz
 bc7d725327fb9bb3290f2b4b413cdd3e 619532 admin optional uswsusp_0.3~cvs20060928-7etch1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFG7D3c2PUjs9fQ72URAnYcAJ9uxD4CyBFyOCBZzJUglT3TpP550QCfQ35C
6cymV5ctnZe+FmbW0fCk7C8=
=HwT2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Apr 2008 07:26:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:27:09 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.